/* Configuração global do site */
@charset "UTF-8";

/* Fontes */
@import url("https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&family=Stack+Sans+Notch:wght@200..700&display=swap");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");
/* Variáveis */
:root {
  --fonte-principal: "Instrument Sans", sans-serif;
  --fonte-secundaria: "Stack Sans Notch", sans-serif;

  --cor-princ: #770101;
  --cor-princ-hover: #bf0021;
  --cor-sec: #1e1e1e;
  --cor-sec-hover: #303030;
  --cor-ter: #ff3434; /*  eaeac6 - anterior ebeac6 */
  --cor-ter-hover: #f01e1e;
  --cor-qua: #d9d9d9;
  --cor-qui: #dbdbdb;
}

/* Reset */
* {
  margin: 0px;
  padding: 0px;
  font-size: var(--f-16);
  box-sizing: border-box;
}

*::-webkit-scrollbar-track {
  background-color: var(--cor-qui);
}

*::-webkit-scrollbar {
  width: 10px;
  background: var(--cor-qui);
}

*::-webkit-scrollbar-thumb {
  background: var(--cor-ter);
  border-radius: 3px;
}

/* Estilo do site */
body {
  overflow-x: hidden;
}

a {
  text-decoration: none;
}

a:hover {
  cursor: pointer;
  text-decoration: none;
  transition: all 0.2s;
}

header,
footer,
section {
  width: 100%;
  padding: 0px;
  margin: 0px;
}

/**
 * ------------------------------------------------------------------- *
 *    Nunca remover os itens a baixo,                                  *
 *    pois fazem parte do sistema do site                              *
 * ------------------------------------------------------------------- *
 */

/***
  Cores de fundo
***/
.fonte-principal {
  /* font-family: var(--fonte-principal) !important; */
  font-family: "Titillium Web", sans-serif;
}

.fonte-secundaria {
  font-family: var(--fonte-secundaria) !important;
}

.fonte-custom {
  font-family: var(--fonte-custom) !important;
}
/***
  Cores
***/

.cor-princ {
  color: var(--cor-princ) !important;
}

.cor-sec {
  color: var(--cor-sec) !important;
}

.cor-terc {
  color: var(--cor-ter) !important;
}

.cor-qua {
  color: var(--cor-qua) !important;
}

.cor-qui {
  color: var(--cor-qui) !important;
}

/***
  Cores de fundo
***/

.f-princ {
  background-color: var(--cor-princ) !important;
}

.f-sec {
  background-color: var(--cor-sec) !important;
}

.f-terc {
  background-color: var(--cor-ter) !important;
}

.f-qua {
  background-color: var(--cor-qua) !important;
}

.f-qui {
  background-color: var(--cor-qui) !important;
}

.f-transparente {
  background-color: transparent !important;
}

/***
  Links
***/
.link-princ {
  color: var(--cor-princ);
  text-decoration: none;
  border-bottom: 1px solid transparent;
}

.link-princ:hover {
  color: var(--cor-princ-hover);
  border-bottom-color: var(--cor-princ);
}

.link-sec {
  color: var(--cor-sec);
  text-decoration: none;
}

.link-sec:hover {
  color: var(--cor-sec-hover);
  text-decoration: underline;
  padding-left: 5px;
}

.link-ter {
  color: var(--cor-ter);
  text-decoration: none;
}

.link-ter:hover {
  color: var(--cor-ter-hover);
  text-decoration: underline;
  padding-left: 5px;
}

.link-escuro {
  color: #e5e5e5;
  text-decoration: none;
}

.link-escuro:hover {
  color: #fff;
  text-decoration: underline;
}

.botao-site {
  border: 0px;
  border-radius: 10px 0px 10px 0px;
  padding: 15px 20px;
  margin: 5px;
  transition: all 0.4s;
  font-weight: bold;
  line-height: 1.5;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;

  &:hover {
    cursor: pointer;
  }
}

.botao-site--princ {
  background-color: var(--cor-princ-hover);
  border: 1px solid var(--cor-princ-hover);
  color: var(--cor-qua);
}

.botao-site--princ:hover {
  background-color: var(--cor-princ-hover);
  border-color: var(--cor-princ-hover);
  color: var(--cor-qua);
  box-shadow: 4px 5px 0px var(--cor-sec-hover);
}

.botao-site--sec {
  background-color: var(--cor-qui);
  border: 1px solid var(--cor-qui);
  color: #303030;
}

.botao-site--sec:hover {
  background-color: var(--cor-qui);
  box-shadow: 4px 5px 0px var(--cor-ter);
}

.botao-site--terc {
  background-color: transparent;
  text-align: center !important;
  color: var(--cor-princ);
  border: 2px solid var(--cor-princ);
}

.botao-site--terc:hover {
  background-color: var(--cor-princ-hover);
  border-color: var(--cor-princ-hover);
  color: var(--cor-qua);
}

.botao-site--whatsapp {
  background-color: #25d366;
  color: var(--cor-branco);
}

.botao-site--whatsapp:hover {
  background-color: #1eb957;
  border-color: var(--cor-princ-hover);
  color: var(--cor-qua);
  box-shadow: 4px 5px 0px #5beb90;
}

/***
  Esconde e revela
***/
.exibir {
  display: block;
}

.esconder {
  display: none;
}

body {
  background-color: #000000;
}

/**
 * ------------------------------------------------------------------- *
 *    Altere o seu conteúdo a partir daqui                             *
 * ------------------------------------------------------------------- *
 */

.detalhe-linha {
  width: 100%;
  height: 2px;
  margin: 20px 0px 20px 0px;
  border-radius: 10px;
}

.detalhe-linha--preta {
  background-color: var(--cor-sec-hover);
}

.detalhe-linha--branca {
  background-color: var(--cor-qui);
}

.detalhe-linha--vermelha {
  background-color: var(--cor-princ-hover);
}

/**********************************************************
 * CABEÇALHO
 **********************************************************/
.header-extra {
  padding: 8px 0px;
  background-color: #1c1c1c;
  color: #fff;

  & .header-extra-dados {
    padding: 0px 10px;
    & a {
      color: #fff;
      text-decoration: none;
      font-weight: bold;

      & i {
        color: var(--cor-princ-hover);
      }

      &:hover {
        cursor: pointer;
        color: var(--cor-ter);
      }

      & :hover i {
        color: var(--cor-ter);
      }
    }
  }
}

header {
  position: sticky !important;
  top: 0;
  z-index: 1020;
  transition: all 0.2s;
  background-color: #000000;

  & .navbar {
    width: 100%;
    background-image: url("../../require/img/assets/fundo-menu.png");
    background-position: right center;
    background-repeat: no-repeat;
    background-size: 70%;
    padding: 0px;
    background-color: #000000;

    & .container {
      padding: 0px;
    }

    & .navbar-brand img {
      width: 250px;
      height: auto;
      margin: 0px;
      transition: all 0.2s;
      padding: 5px;
    }

    & .navbar-nav {
      font-family: var(--fonte-secundaria);

      & .nav-item {
        font-size: 14px !important;
        padding: 0px 10px;
        font-weight: 400;

        & .nav-link {
          color: var(--cor-qui);

          &:hover {
            color: #fff;
          }
        }
      }
    }
  }

  & .navbar-toggler {
    color: #fff;
    border: 0px;

    &:hover {
      color: var(--cor-sec-hover);
    }
  }

  & .botao-menu {
    font-family: var(--fonte-secundaria);
    background-color: #fff;
    color: var(--cor-princ-hover);

    &:hover {
      background-color: var(--cor-ter);

      box-shadow: 4px 5px 0px var(--cor-qua);
      color: #fff;
    }
  }
}

/**********************************************************
 * PÁGINA INICIAL
 **********************************************************/
.apresentacao {
  padding: 80px 0px 80px 0px;
  background: linear-gradient(to bottom, #000000, #1e1e1e);
  background-image: url("../img/assets/bg-apresentacao.png");
  background-position: center bottom;
  background-repeat: no-repeat;
  background-size: cover;

  & h1 {
    font-size: 36px;
    font-family: var(--fonte-principal);
    color: #fff;
  }

  & h5 {
    font-size: 20px;
    color: var(--cor-qui);
  }

  & figure img {
    width: 80%;
    padding: 30px;
  }
}

.clientes {
  padding: 80px 0px 80px 0px;
  background-color: #fff;

  & h1 {
    font-family: var(--fonte-principal);
    color: var(--cor-princ-hover);
    margin-bottom: 40px;
  }

  & figure img {
    width: 80% !important;
  }

  & .owl-carousel {
    & .item {
      text-align: center;
      & img {
        width: 100%;
        height: auto;
        padding: 0px 20px;
      }
    }

    & .owl-dots {
      display: none !important;

      & .owl-dot {
        border-radius: 5px;
        width: 50px;
        height: 10px;
        margin: 3px;
        background-color: var(--cor-qui);

        border: 1px solid red;
      }

      & .owl-dot.active {
        background-color: var(--cor-sec-hover);
      }
    }

    & .owl-nav {
      display: none !important;
      margin-top: -120px;
      position: relative !important;
      z-index: 2;
      padding: 20px 120px;

      & .owl-prev,
      & .owl-next {
        background-color: #fefefe;
        color: #303030;
        font-weight: bold;
        padding: 6px !important;
        margin: 5px;
        width: 40px;
        height: 40px;
        transition: all 0.2s;

        &:hover {
          background-color: var(--cor-sec);
          color: #fff;
        }
      }

      & .owl-prev,
      & .owl-next {
        border-radius: 100px;
      }
    }
  }
}

.blog-home {
  padding: 100px 0px 100px 0px;
  background-color: #fff;

  background-repeat: no-repeat;
  background-size: 100px;
  background-position: right 30px top 30px;
  background-image: url("../img/assets/isotipo_abv_sub.png");

  & h1 {
    font-size: 44px !important;
    color: var(--cor-princ-hover);
    margin-bottom: 40px;

    & span {
      font-size: 44px !important;
      font-weight: bold;
    }
  }
  & .card {
    background-color: #fff;
    border: 0px;

    & .card-top-img {
      width: 100%;
      height: 180px;
      background-repeat: no-repeat;
      background-position: top center;
      background-size: cover;
      border-radius: 10px;
      margin-bottom: 10px;
      border: 1px solid #fff;
    }

    & .card-body {
      background-color: transparent;
    }

    & .card-title {
      color: var(--cor-sec);
      font-weight: bold;
      font-size: 18px;
    }
  }

  & .card:hover .card-top-img {
    border-color: var(--cor-princ);
    cursor: pointer !important;
  }

  & .card:hover .card-title {
    color: var(--cor-princ-hover);
  }

  & .blog-home--secundario {
    & .card-top-img {
      height: 100px;
    }
  }
}
.atuacao {
  padding: 200px 0px 120px 0px;
  background-image: url("../img/assets/fundo-atuacao.png");
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;

  & h1 {
    font-family: var(--fonte-secundaria);
    color: var(--cor-qui);
  }

  & h4 {
    color: var(--cor-qui);
  }

  & .card {
    border: 0px;
    background-color: transparent;
    color: #fff;
    margin: 10px;
    margin-bottom: 20px;
    padding: 30px 10px;

    & img {
      width: 70px;
    }

    & h5 {
      margin-bottom: 20px;
    }

    & .card-text {
      font-size: 14px;
      margin-bottom: 20px;
    }

    &:hover {
      background-color: var(--cor-princ-hover);
    }
  }
}

.sobre {
  padding: 180px 0px 0px 0px;
  background-image: url("../img/assets/fundo-sobre.png");
  background-position: top center;
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-color: var(--cor-sec);

  & .sobre--principal {
    & h1 {
      font-family: var(--fonte-secundaria);
      color: #fff;
      margin-bottom: 30px;
    }

    & h5 {
      color: var(--cor-qui);
      margin-bottom: 30px;
    }

    & p {
      color: var(--cor-qui);
    }
  }

  & .sobre--secundaria {
    & h1 {
      font-family: var(--fonte-secundaria);
      color: #fff;
      margin-bottom: 30px;
    }

    & p {
      color: var(--cor-qui);
    }
  }

  & .fade {
    background-color: rgba(0, 0, 0, 0.9) !important;
  }

  & .modal {
    & .modal-content {
      background-color: transparent;
    }

    & .modal-header,
    & .modal-footer {
      border: 0px;
      background-color: transparent;
    }

    & .modal-header .btn-close {
      filter: brightness(0) invert(1);
      color: #fff;
    }

    & .modal-body {
      background-color: #fff;
      padding: 0px;
      padding-bottom: 60px;

      border-radius: 10px 0px 10px 0px;
    }

    & .sobre-modal-cabeca {
      background-image: url("../img/assets/fundo-sobre.png");
      background-position: bottom center;
      background-repeat: no-repeat;
      background-size: 100% auto;
      border-radius: 10px 0px 10px 0px;
    }

    & .sobre-modal-cabeca {
      & h1 {
        font-family: var(--fonte-secundaria);
        color: var(--cor-princ-hover);
      }
    }
  }
}

.equipe {
  padding: 20px 0px 50px 0px;
  background-color: var(--cor-sec);

  & h1 {
    color: var(--cor-sec);
    font-family: var(--fonte-secundaria);
  }

  & .equipe--socios {
    & .owl-nav {
      display: none !important;
      margin-top: -80px;
      position: relative !important;
      z-index: 2;
      padding: 10px 20px;

      & .owl-prev,
      & .owl-next {
        background-color: #fefefe;
        color: #303030;
        font-weight: bold;
        padding: 8px 12px !important;
        margin: 5px;
        transition: all 0.2s;

        &:hover {
          background-color: #f96770;
          color: #fff;
        }
      }

      & .owl-prev {
        border-radius: 15px 3px 3px 3px;
      }

      & .owl-next {
        border-radius: 3px 3px 15px 3px;
      }
    }

    & .card {
      background-color: transparent;
      margin: 10px;
      border: 0px;

      & .card-top-img {
        width: 100%;
        height: 350px;
        border-radius: 20px 3px 20px 3px;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        background-size: cover;
        box-shadow: 4px 5px 0px var(--cor-princ-hover);
      }

      & .card-title {
        color: var(--cor-ter);
        font-weight: bold;
      }

      & .card-text {
        color: #909090;
      }
    }
  }

  & .equipe--socios-pf {
    & .owl-nav {
      display: block !important;
      margin-top: -20px;
      position: relative !important;
      z-index: 2;
      padding: 10px 20px;

      & .owl-prev,
      & .owl-next {
        background-color: var(--cor-sec-hover);
        color: #fff;
        font-weight: bold;
        padding: 5px 30px !important;
        margin: 5px;
        transition: all 0.2s;

        &:hover {
          background-color: var(--cor-ter);
          color: #fff;
        }
      }

      & .owl-prev {
        border-radius: 15px 3px 3px 3px;
      }

      & .owl-next {
        border-radius: 3px 3px 15px 3px;
      }
    }

    & .card {
      background-color: transparent;
      margin: 10px;
      border: 0px;

      & .card-top-img {
        width: 100%;
        height: 350px;
        border-radius: 20px 3px 20px 3px;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        background-size: cover;
        box-shadow: 4px 5px 0px var(--cor-princ-hover);
      }

      & .card-title {
        color: var(--cor-ter);
        font-weight: bold;
      }

      & .card-text {
        color: #909090;
      }
    }
  }

  & img {
    opacity: 0.2;
  }
}

.maps {
  padding: 100px 0px 100px 0px;
  background-color: var(--cor-sec);

  & h1 {
    color: var(--cor-qua);
  }

  & h4 {
    color: #fff;
    font-family: var(--fonte-secundaria);
    font-size: 20px;
  }
}

/**********************************************************
 * FORMULARIO
 **********************************************************/
.form-site {
  & label {
    font-weight: normal;
    color: var(--cor-sec);

    & span {
      font-weight: normal;
    }
  }

  & input,
  & select,
  & textarea {
    border: 1px solid #909090;
    padding: 15px;
    color: var(--cor-ter-hover);
    font-weight: normal;

    &:focus {
      border-color: var(--cor-princ-hover);
      box-shadow: none;
    }
  }

  & textarea {
    height: 206px !important;
  }

  & .form-floating > .form-select ~ label,
  & .form-floating > .form-control:not(:placeholder-shown) ~ label {
    color: var(--cor-sec);
  }

  /* & bottom {
    padding: 20px !important;
  } */
}

.form-site-notificacao {
  position: fixed;
  left: 50%;
  bottom: 8%;
  transform: translateX(-50%);
  /* background-color: rgba(0, 0, 0);
  color: white;  */
  padding: 15px;
  border-radius: 5px; /* Opcional: bordas arredondadas no topo */
  z-index: 99;
}

/**********************************************************
 * PAGINACAO
 **********************************************************/
.paginacao-site {
  & .page-item .page-link {
    color: var(--cor-princ);
  }
  & .page-item .page-link.active {
    border: 0px;
    background-color: var(--cor-princ-hover);
    color: #fff;
    font-weight: bold;
  }
}

/**********************************************************
 * blog
 **********************************************************/
.blog-pg {
  background-color: var(--cor-qui);

  & .card,
  & .card-body {
    border: 0px;
    background-color: transparent;
  }

  & .card-body {
    padding: 5px 10px;
  }

  & .card-title {
    color: var(--cor-sec-hover);
    font-weight: bold;
    font-size: 18px;
  }

  & .card:hover .card-title {
    color: var(--cor-ter);
    cursor: pointer !important;
  }

  & .card-img-top {
    width: 100%;
    height: 200px;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    border-radius: 10px;
    margin-bottom: 20px;
  }

  & .card:hover .card-img-top {
    cursor: pointer !important;
    border: 1px solid var(--cor-princ);
  }
}

.blog--img-bg {
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  height: 400px;
  width: 100%;
}

.blog-relacionado {
  & .card,
  & .card-body {
    border: 0px;
    background-color: transparent;
  }

  & .card-body {
    padding: 0px 0px;
  }

  & .card-title {
    color: #505050;
    font-weight: bold;
    font-size: 16px;
  }

  & .card:hover .card-title {
    color: var(--cor-princ);
    cursor: pointer !important;
  }

  & .card-img-top {
    width: 100%;
    height: 100px;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    border-radius: 10px;
    margin-bottom: 5px;
  }

  & .card:hover .card-img-top {
    cursor: pointer !important;
  }
}

.compartilhe {
  margin-top: 30px;

  & .compartilhe-link {
    padding: 14px 20px;
    margin-right: 5px;
    background-color: #ededed;
    border-radius: 5px;

    & i {
      font-size: 21px !important;
      align-self: center;
    }
  }

  & .compartilhe-facebook {
    background-color: #3b86ff;
    color: #fff;

    &:hover {
      background-color: #2b62b9;
    }
  }

  & .compartilhe-x {
    background-color: #4d4d4d;
    color: #fff;

    &:hover {
      background-color: #080808;
    }
  }

  & .compartilhe-whatsapp {
    background-color: #2bee72;
    color: #fff;

    &:hover {
      background-color: #21bc59;
    }
  }
}

/**********************************************************
 * CARTÃO
 **********************************************************/

.cartao-digital {
  background-color: var(--cor-sec);

  & .cartao-digital--geral {
    background-color: var(--cor-sec);

    & .cartao-digital--topo {
      background-image: url(../img/assets/sobre--fachada.png);
      background-repeat: no-repeat;
      background-position: center;
      background-size: 100%;
      height: 170px;
      width: 100%;
      border-radius: 0px 0px 0px 20px;
    }

    & .cartao-digital--topo--logo {
      text-align: center;

      & img {
        width: 70px;
        height: 70px;
        border-radius: 100px;
        border: 2px solid #fff;
        margin-top: -60px;
      }
    }
  }
}

/**********************************************************
 * RODAPÉ
 **********************************************************/
footer {
  background-color: #000000;
  color: #fff;

  & .rodape-sociais i {
    color: #fff;
    margin: 10px;
    font-size: 30px !important;
    text-align: center;

    &:hover {
      color: var(--cor-sec);
    }
  }

  & .devs {
    text-align: center;
    font-size: 11px !important;

    & .devs--img {
      margin: 5px;
    }

    & .dev-w1 .devs--img {
      width: 100px;
      padding-right: 10px;
      /* border-right: 2px solid var(--cor-qua); */
    }

    & .dev-fg .devs--img {
      width: 40px;
    }
  }
}

/**********************************************************
 * RESPONSIVO
 **********************************************************/
.responsivo-desktop,
.responsivo-desktop {
  display: block !important;
}

.responsivo-mobile,
.responsivo-mobile {
  display: none !important;
}
